---
title: "Update the properties of a workflow run"
slug: "update-the-properties-of-a-workflow-run"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/update-the-properties-of-a-workflow-run"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the properties of a workflow run

Patch/v1/workflow_runs/{run-id}

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersrun-idstring (uuid) Required

An instance of a running workflow.

Body parameters

Request to update a workflow run

<select class='api-response-data' aria-label='Media type'><option value='cb895274-8e4d-4a8c-b54e-27e2503ddb6a'>application/json</option>
</select>object  run_statusstring    Valid values[
  "PENDING",
  "RUNNING",
  "FAILED",
  "SUCCEEDED",
  "TERMINATING",
  "TERMINATED",
  "UNKNOWN"
]

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='b7c9da49-9f70-4ae8-8112-ed0f12dfa6b8'>application/json</option>
</select>Expand Allobject  run_idstring  (uuid)    

Run ID of running workflow

run_statusstring    Valid values[
  "PENDING",
  "RUNNING",
  "FAILED",
  "SUCCEEDED",
  "TERMINATING",
  "TERMINATED",
  "UNKNOWN"
]
created_atinteger  (int64)    

Time workflow was started.

graph_idstring  (uuid)    
graph_versionstring    

The current version of the running graph, not necessarily the same version that was started originally.

group_idstring  (uuid)    
deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

workflow_cluster_dataobject (WorkflowRunData)  AciSingleJobobject (AciWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    
container_group_namestring    
deployment_namestring    

KubernetesSingleJobobject (KubernetesWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)
